SPEAKER-TEST(1)

NAME
speaker-test - command-line speaker test tone generator for ALSA

SYNOPSIS
speaker-test [-D|--device FILE] [-r|--rate RATE] [-c|--channels NUM] [-f|--frequency FREQ] [-p|--period TIME] [-s|--speaker 1|2]

speaker-test --help

DESCRIPTION
speaker-test generates a tone that can be used to test the speakers of a computer.

OPTIONS

-c | --channels NUM
    NUM channels in stream

-D | --device NAME
    PCM device name NAME

-f | --frequency FREQ
    sine wave of FREQ Hz

--help
    Print usage help

-p | --period TIME
    period size of TIME microseconds

-r | --rate RATE
    stream of RATE Hz

-s | --speaker 1|2
    Test speaker 1 or speaker 2 only, rather than both

USAGE EXAMPLES

Produce stereo sound from one stereo jack:
      speaker-test -Dfront -c2

Produce 4 speaker sound from two stereo jacks:
      speaker-test -Dsurround40 -c4

Produce 5.1 speaker sound from three stereo jacks:
      speaker-test -Dsurround51 -c6

To send a nice low 75Hz tone to the Woofer and then exit without touching any other speakers:
      speaker-test -Dplug:surround51 -c6 -s1 -f75

AUTHOR
The speaker-test program was written by James Courtier-Dutton.